%global _empty_manifest_terminate_build 0
Name:		python-cherrypy
Version:	18.6.0
Release:	1
Summary:	Object-Oriented HTTP framework
License:        BSD
URL:		https://www.cherrypy.org
Source0:	https://files.pythonhosted.org/packages/f5/f0/72f632c9503f1ffd765561e0e18eba19de746bddebe615deb699c210be60/CherryPy-18.6.0.tar.gz
BuildArch:	noarch
BuildRequires:  python-setuptools_scm
Recommends:     %{name}-help = %{version}-%{release}

Requires:	python3-cheroot
Requires:	python3-portend
Requires:	python3-more-itertools
Requires:	python3-pywin32
Requires:	python3-sphinx
Requires:	python3-docutils
Requires:	python3-alabaster
Requires:	python3-simplejson
Requires:	python3-memcached
Requires:	python3-routes
Requires:	python3-pyOpenSSL
Requires:	python3-coverage
Requires:	python3-codecov
Requires:	python3-objgraph
Requires:	python3-pytest
Requires:	python3-pytest-cov
Requires:	python3-pytest-sugar
Requires:	python3-requests-toolbelt
Requires:	python3-pytest-services
Requires:	python3-flup

%description
CherryPy is available as part of the Tidelift Subscription.
The CherryPy maintainers and the maintainers of thousands of other packages
are working with Tidelift to deliver one enterprise subscription that covers
all of the open source you use.
`Learn more <https://tidelift.com/subscription/pkg/pypi-cherrypy?utm_source=pypi-cherrypy&utm_medium=referral&utm_campaign=github>`_.

%package -n python3-cherrypy
Summary:	Object-Oriented HTTP framework
Provides:	python-cherrypy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-cherrypy
CherryPy is available as part of the Tidelift Subscription.
The CherryPy maintainers and the maintainers of thousands of other packages
are working with Tidelift to deliver one enterprise subscription that covers
all of the open source you use.
`Learn more <https://tidelift.com/subscription/pkg/pypi-cherrypy?utm_source=pypi-cherrypy&utm_medium=referral&utm_campaign=github>`_.

%package help
Summary:	Development documents and examples for CherryPy
Provides:	python3-cherrypy-doc
%description help
CherryPy is available as part of the Tidelift Subscription.
The CherryPy maintainers and the maintainers of thousands of other packages
are working with Tidelift to deliver one enterprise subscription that covers
all of the open source you use.
`Learn more <https://tidelift.com/subscription/pkg/pypi-cherrypy?utm_source=pypi-cherrypy&utm_medium=referral&utm_campaign=github>`_.

%prep
%autosetup -n CherryPy-18.6.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cherrypy -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 16 2020 caodongxia <caodongxia@huawei.com> - 18.6.0-1
- update to remove python2 subPackage

* Tue Mar 17 2020 zoushuangshuang <zoushuangshuang@huawei.com> - 3.5.0-12
- modify provide: python-cherrypy

* Tue Mar 17 2020 zoushuangshuang <zoushuangshuang@huawei.com> - 3.5.0-11
- add provide: python-cherrypy

* Wed Mar 04 2020 zoushuangshuang <zoushuangshuang@huawei.com> - 3.5.0-10
- Package init
